# Update a client

Changes a client's name, contact details, notes, or whether their applications wait on their approval. Requires authentication.

```http
PATCH https://hiresweep.com/api/openapi/clients/{id}
x-api-key: YOUR_API_KEY
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes |  |

## Request body

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "email": {
      "anyOf": [
        {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 320,
              "format": "email"
            },
            {
              "const": ""
            }
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "phone": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 64
        },
        {
          "type": "null"
        }
      ]
    },
    "notes": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 5000
        },
        {
          "type": "null"
        }
      ]
    },
    "requireApproval": {
      "type": "boolean"
    }
  }
}
```

## Responses

- `200`: The updated client.
